librevenge::IStorage Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes | Private Member Functions | List of all members
librevenge::IStorage Class Reference

## Public Member Functions
| IStorage (RVNGInputStream *is)
| ~IStorage ()
DirEntry * | entry (unsigned ind)
| returns a directory entry corresponding to a index More...
DirEntry * | entry (const std::string &name)
| returns a directory entry corresponding to a name More...
unsigned | index (const std::string &name)
| returns a directory entry corresponding to a index More...
unsigned | revision () const
| returns the OLE revision More...
bool | hasRootTypePc () const
| returns true if it is a pc file More...
bool | isSubStream (const std::string &name, bool &isDir)
| returns true if the entry exists in the OLE, if so fills isDir More...
std::vector< std::string > | getSubStreamList (unsigned ind=0, bool retrieveAll=false)
| returns the list of subStream given a dirEntry index More...
bool | isStructured ()
std::vector< std::string > | getSubStreamNamesList ()
void | load ()
bool | use_big_block_for (unsigned long size) const
unsigned long | loadBigBlocks (std::vector< unsigned long > const &blocks, unsigned char *buffer, unsigned long maxlen)
unsigned long | loadBigBlock (unsigned long block, unsigned char *buffer, unsigned long maxlen)
unsigned long | loadSmallBlocks (std::vector< unsigned long > const &blocks, unsigned char *buffer, unsigned long maxlen)
unsigned long | loadSmallBlock (unsigned long block, unsigned char *buffer, unsigned long maxlen)

## Public Attributes
RVNGInputStream * | m_input
librevenge::Storage::Result | m_result
Header | m_header
DirTree | m_dirtree
AllocTable | m_bbat
AllocTable | m_sbat
std::vector< unsigned long > | m_sb_blocks

## Protected Attributes
bool | m_isLoad

## Private Member Functions
| IStorage (const IStorage &)
IStorage & | operator= (const IStorage &)

## Constructor & Destructor Documentation

librevenge::IStorage::IStorage | ( | RVNGInputStream * | is | ) |

librevenge::IStorage::~IStorage | ( |  | ) |
| inline

librevenge::IStorage::IStorage | ( | const IStorage & |  | ) |
| private

## Member Function Documentation

DirEntry* librevenge::IStorage::entry | ( | unsigned | ind | ) |
| inline

returns a directory entry corresponding to a index

Referenced by librevenge::IStream::createOleFromDirectory(), and librevenge::IStream::IStream().

DirEntry* librevenge::IStorage::entry | ( | const std::string & | name | ) |
| inline

returns a directory entry corresponding to a name

std::vector<std::string> librevenge::IStorage::getSubStreamList | ( | unsigned | ind = `0`,
|  | bool | retrieveAll = `false`
| ) |  |
| inline

returns the list of subStream given a dirEntry index

Referenced by librevenge::IStream::createOleFromDirectory().

std::vector< std::string > librevenge::IStorage::getSubStreamNamesList | ( |  | ) |

Referenced by librevenge::Storage::getSubStreamNamesList().

bool librevenge::IStorage::hasRootTypePc | ( |  | ) | const
| inline

returns true if it is a pc file

Referenced by librevenge::IStream::createOleFromDirectory().

unsigned librevenge::IStorage::index | ( | const std::string & | name | ) |
| inline

returns a directory entry corresponding to a index

Referenced by librevenge::IStream::createOleFromDirectory().

bool librevenge::IStorage::isStructured | ( |  | ) |

Referenced by librevenge::Storage::isStructured().

bool librevenge::IStorage::isSubStream | ( | const std::string & | name,
|  | bool & | isDir
| ) |  |

returns true if the entry exists in the OLE, if so fills isDir

void librevenge::IStorage::load | ( |  | ) |

Referenced by librevenge::IStream::createOleFromDirectory(), getSubStreamNamesList(), isStructured(), isSubStream(), and librevenge::IStream::IStream().

unsigned long librevenge::IStorage::loadBigBlock | ( | unsigned long | block,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen
| ) |  |

Referenced by load(), loadSmallBlocks(), and librevenge::IStream::readUsingStorage().

unsigned long librevenge::IStorage::loadBigBlocks | ( | std::vector< unsigned long > const & | blocks,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen
| ) |  |

Referenced by load(), and loadBigBlock().

unsigned long librevenge::IStorage::loadSmallBlock | ( | unsigned long | block,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen
| ) |  |

Referenced by librevenge::IStream::readUsingStorage().

unsigned long librevenge::IStorage::loadSmallBlocks | ( | std::vector< unsigned long > const & | blocks,
|  | unsigned char * | buffer,
|  | unsigned long | maxlen
| ) |  |

Referenced by loadSmallBlock().

IStorage& librevenge::IStorage::operator= | ( | const IStorage & |  | ) |
| private

unsigned librevenge::IStorage::revision | ( |  | ) | const
| inline

returns the OLE revision

Referenced by librevenge::IStream::createOleFromDirectory().

bool librevenge::IStorage::use_big_block_for | ( | unsigned long | size | ) | const
| inline

Referenced by librevenge::IStream::IStream(), and librevenge::IStream::readUsingStorage().

## Member Data Documentation

AllocTable librevenge::IStorage::m_bbat

Referenced by librevenge::OStorage::insertData(), IStorage(), librevenge::IStream::IStream(), load(), loadBigBlocks(), loadSmallBlocks(), librevenge::IStream::readUsingStorage(), and librevenge::OStorage::updateToSave().

DirTree librevenge::IStorage::m_dirtree

Referenced by getSubStreamNamesList(), isSubStream(), load(), and librevenge::OStorage::updateToSave().

Header librevenge::IStorage::m_header

Referenced by IStorage(), load(), and librevenge::OStorage::updateToSave().

RVNGInputStream* librevenge::IStorage::m_input

Referenced by load(), and loadBigBlocks().

bool librevenge::IStorage::m_isLoad
| protected

Referenced by load().

librevenge::Storage::Result librevenge::IStorage::m_result

Referenced by getSubStreamNamesList(), isStructured(), load(), and librevenge::Storage::result().

std::vector<unsigned long> librevenge::IStorage::m_sb_blocks

Referenced by load(), loadSmallBlocks(), and librevenge::OStorage::updateToSave().

AllocTable librevenge::IStorage::m_sbat

Referenced by librevenge::OStorage::insertData(), IStorage(), librevenge::IStream::IStream(), load(), loadSmallBlocks(), librevenge::IStream::readUsingStorage(), and librevenge::OStorage::updateToSave().

The documentation for this class was generated from the following file:

- RVNGOLEStream.cpp